# Update an attachment

Updates a matching attachment.

Endpoint: PUT /attachments/{attachment_id}
Version: v4
Security: APIToken

## Path parameters:

  - `attachment_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object, required)

  - `data.attributes.filename` (string)
    Example: "brandfolder_logo.png"

  - `data.attributes.url` (string)
    Example: "https://example.com/brandfolder_logo.png?expiry=1625260667\n"

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr3j84-33j7db"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "attachments"

  - `data.attributes` (object, required)

  - `data.attributes.mimetype` (string, required)
    The MIME type of the file.
    Example: "image/png"

  - `data.attributes.extension` (string)
    The file suffix.
    Example: "png"

  - `data.attributes.filename` (string, required)
    The complete file name, including its suffix (if any).
    Example: "brandfolder_logo.png"

  - `data.attributes.size` (integer)
    The file size in bytes.
    Example: 123456

  - `data.attributes.width` (integer)
    The image width in pixels.
    Example: 1920

  - `data.attributes.height` (integer)
    The image height in pixels.
    Example: 1080

  - `data.attributes.url` (string, required)
    The file URL.
    Example: "https://some_domain.com/brandfolder_logo.png?expiry=1625260667"

  - `data.attributes.position` (integer)
    The attachment ranking position in the Brandfolder UI.

  - `data.attributes.thumbnail_url` (string)
    The URL of the the attachment's thumbnail image.
    Example: "https://some_domain.com/some_thumbnail.png"


